[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / RowIdMapperFunction

# Type Alias: RowIdMapperFunction()\<T\>

> **RowIdMapperFunction**\<`T`\>: (`row`) => `string`

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:19](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L19)

## Type Parameters

• **T** *extends* [`TableRowMetadata`](../interfaces/TableRowMetadata.md)

## Parameters

### row

[`RawTableRow`](RawTableRow.md)\<`T`\>

## Returns

`string`
